<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: DSPI eDMA Driver</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__dspi__edma__driver.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">DSPI eDMA Driver<div class="ingroups"><a class="el" href="group__dspi.html">DSPI: Serial Peripheral Interface Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>This section describes the programming interface of the DSPI Peripheral driver. The DSPI driver configures DSPI module and provides the functional and transactional interfaces to build the DSPI application. </p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:struct__dspi__master__edma__handle"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#struct__dspi__master__edma__handle">dspi_master_edma_handle_t</a></td></tr>
<tr class="memdesc:struct__dspi__master__edma__handle"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI master eDMA transfer handle structure used for the transactional API.  <a href="group__dspi__edma__driver.html#struct__dspi__master__edma__handle">More...</a><br/></td></tr>
<tr class="separator:struct__dspi__master__edma__handle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:struct__dspi__slave__edma__handle"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#struct__dspi__slave__edma__handle">dspi_slave_edma_handle_t</a></td></tr>
<tr class="memdesc:struct__dspi__slave__edma__handle"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI slave eDMA transfer handle structure used for the transactional API.  <a href="group__dspi__edma__driver.html#struct__dspi__slave__edma__handle">More...</a><br/></td></tr>
<tr class="separator:struct__dspi__slave__edma__handle"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gab42b9728993882f00f22e122c73848e4"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#gab42b9728993882f00f22e122c73848e4">dspi_master_edma_transfer_callback_t</a> )(SPI_Type *base, dspi_master_edma_handle_t *handle, status_t status, void *userData)</td></tr>
<tr class="memdesc:gab42b9728993882f00f22e122c73848e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Completion callback function pointer type.  <a href="#gab42b9728993882f00f22e122c73848e4">More...</a><br/></td></tr>
<tr class="separator:gab42b9728993882f00f22e122c73848e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0299bb3ddcaa8ec04c8bac111c24aa0e"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ga0299bb3ddcaa8ec04c8bac111c24aa0e">dspi_slave_edma_transfer_callback_t</a> )(SPI_Type *base, dspi_slave_edma_handle_t *handle, status_t status, void *userData)</td></tr>
<tr class="memdesc:ga0299bb3ddcaa8ec04c8bac111c24aa0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Completion callback function pointer type.  <a href="#ga0299bb3ddcaa8ec04c8bac111c24aa0e">More...</a><br/></td></tr>
<tr class="separator:ga0299bb3ddcaa8ec04c8bac111c24aa0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga34794523f1e77cc92a8a1178cbb9b33a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ga34794523f1e77cc92a8a1178cbb9b33a">DSPI_MasterTransferCreateHandleEDMA</a> (SPI_Type *base, dspi_master_edma_handle_t *handle, <a class="el" href="group__dspi__edma__driver.html#gab42b9728993882f00f22e122c73848e4">dspi_master_edma_transfer_callback_t</a> callback, void *userData, <a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *edmaRxRegToRxDataHandle, <a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *edmaTxDataToIntermediaryHandle, <a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *edmaIntermediaryToTxRegHandle)</td></tr>
<tr class="memdesc:ga34794523f1e77cc92a8a1178cbb9b33a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the DSPI master eDMA handle.  <a href="#ga34794523f1e77cc92a8a1178cbb9b33a">More...</a><br/></td></tr>
<tr class="separator:ga34794523f1e77cc92a8a1178cbb9b33a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafe4bb5f502497827871de9b6f4dd4dce"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#gafe4bb5f502497827871de9b6f4dd4dce">DSPI_MasterTransferEDMA</a> (SPI_Type *base, dspi_master_edma_handle_t *handle, <a class="el" href="group__dspi__driver.html#structdspi__transfer__t">dspi_transfer_t</a> *transfer)</td></tr>
<tr class="memdesc:gafe4bb5f502497827871de9b6f4dd4dce"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI master transfer data using eDMA.  <a href="#gafe4bb5f502497827871de9b6f4dd4dce">More...</a><br/></td></tr>
<tr class="separator:gafe4bb5f502497827871de9b6f4dd4dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabe85748d3f4db13f83be48bed5b5cadf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#gabe85748d3f4db13f83be48bed5b5cadf">DSPI_MasterTransferAbortEDMA</a> (SPI_Type *base, dspi_master_edma_handle_t *handle)</td></tr>
<tr class="memdesc:gabe85748d3f4db13f83be48bed5b5cadf"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI master aborts a transfer which is using eDMA.  <a href="#gabe85748d3f4db13f83be48bed5b5cadf">More...</a><br/></td></tr>
<tr class="separator:gabe85748d3f4db13f83be48bed5b5cadf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7d684de9e43d68c9cc51034ee8f35dc0"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ga7d684de9e43d68c9cc51034ee8f35dc0">DSPI_MasterTransferGetCountEDMA</a> (SPI_Type *base, dspi_master_edma_handle_t *handle, size_t *count)</td></tr>
<tr class="memdesc:ga7d684de9e43d68c9cc51034ee8f35dc0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the master eDMA transfer count.  <a href="#ga7d684de9e43d68c9cc51034ee8f35dc0">More...</a><br/></td></tr>
<tr class="separator:ga7d684de9e43d68c9cc51034ee8f35dc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a145bd365d3d6a94e5dab770e43aaa1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ga7a145bd365d3d6a94e5dab770e43aaa1">DSPI_SlaveTransferCreateHandleEDMA</a> (SPI_Type *base, dspi_slave_edma_handle_t *handle, <a class="el" href="group__dspi__edma__driver.html#ga0299bb3ddcaa8ec04c8bac111c24aa0e">dspi_slave_edma_transfer_callback_t</a> callback, void *userData, <a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *edmaRxRegToRxDataHandle, <a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *edmaTxDataToTxRegHandle)</td></tr>
<tr class="memdesc:ga7a145bd365d3d6a94e5dab770e43aaa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the DSPI slave eDMA handle.  <a href="#ga7a145bd365d3d6a94e5dab770e43aaa1">More...</a><br/></td></tr>
<tr class="separator:ga7a145bd365d3d6a94e5dab770e43aaa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga90229acb70adacc78d8053353593e33d"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ga90229acb70adacc78d8053353593e33d">DSPI_SlaveTransferEDMA</a> (SPI_Type *base, dspi_slave_edma_handle_t *handle, <a class="el" href="group__dspi__driver.html#structdspi__transfer__t">dspi_transfer_t</a> *transfer)</td></tr>
<tr class="memdesc:ga90229acb70adacc78d8053353593e33d"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI slave transfer data using eDMA.  <a href="#ga90229acb70adacc78d8053353593e33d">More...</a><br/></td></tr>
<tr class="separator:ga90229acb70adacc78d8053353593e33d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e824420a6ed903a240037a5a22aecaa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ga6e824420a6ed903a240037a5a22aecaa">DSPI_SlaveTransferAbortEDMA</a> (SPI_Type *base, dspi_slave_edma_handle_t *handle)</td></tr>
<tr class="memdesc:ga6e824420a6ed903a240037a5a22aecaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI slave aborts a transfer which is using eDMA.  <a href="#ga6e824420a6ed903a240037a5a22aecaa">More...</a><br/></td></tr>
<tr class="separator:ga6e824420a6ed903a240037a5a22aecaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac37b1d262906776028dab89138e921ed"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#gac37b1d262906776028dab89138e921ed">DSPI_SlaveTransferGetCountEDMA</a> (SPI_Type *base, dspi_slave_edma_handle_t *handle, size_t *count)</td></tr>
<tr class="memdesc:gac37b1d262906776028dab89138e921ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the slave eDMA transfer count.  <a href="#gac37b1d262906776028dab89138e921ed">More...</a><br/></td></tr>
<tr class="separator:gac37b1d262906776028dab89138e921ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="struct__dspi__master__edma__handle" id="struct__dspi__master__edma__handle"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct _dspi_master_edma_handle</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"><p>Forward declaration of the DSPI eDMA master handle typedefs.</p>
</div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:aa34a1dcddc99d31bb4c4accfadd47783"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#aa34a1dcddc99d31bb4c4accfadd47783">bitsPerFrame</a></td></tr>
<tr class="memdesc:aa34a1dcddc99d31bb4c4accfadd47783"><td class="mdescLeft">&#160;</td><td class="mdescRight">The desired number of bits per frame.  <a href="#aa34a1dcddc99d31bb4c4accfadd47783">More...</a><br/></td></tr>
<tr class="separator:aa34a1dcddc99d31bb4c4accfadd47783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22c10d4e7d97332d4e6ee090e4e32765"><td class="memItemLeft" align="right" valign="top">volatile uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a22c10d4e7d97332d4e6ee090e4e32765">command</a></td></tr>
<tr class="memdesc:a22c10d4e7d97332d4e6ee090e4e32765"><td class="mdescLeft">&#160;</td><td class="mdescRight">The desired data command.  <a href="#a22c10d4e7d97332d4e6ee090e4e32765">More...</a><br/></td></tr>
<tr class="separator:a22c10d4e7d97332d4e6ee090e4e32765"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5273a137fd07ef8e8ff7be54ac7bd9e9"><td class="memItemLeft" align="right" valign="top">volatile uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a5273a137fd07ef8e8ff7be54ac7bd9e9">lastCommand</a></td></tr>
<tr class="memdesc:a5273a137fd07ef8e8ff7be54ac7bd9e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The desired last data command.  <a href="#a5273a137fd07ef8e8ff7be54ac7bd9e9">More...</a><br/></td></tr>
<tr class="separator:a5273a137fd07ef8e8ff7be54ac7bd9e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17fb6af3d2eb1786d55837ac3ecea4b0"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a17fb6af3d2eb1786d55837ac3ecea4b0">fifoSize</a></td></tr>
<tr class="memdesc:a17fb6af3d2eb1786d55837ac3ecea4b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">FIFO dataSize.  <a href="#a17fb6af3d2eb1786d55837ac3ecea4b0">More...</a><br/></td></tr>
<tr class="separator:a17fb6af3d2eb1786d55837ac3ecea4b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a830c63cbcc569c14ffd322ee87874996"><td class="memItemLeft" align="right" valign="top">volatile bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a830c63cbcc569c14ffd322ee87874996">isPcsActiveAfterTransfer</a></td></tr>
<tr class="memdesc:a830c63cbcc569c14ffd322ee87874996"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether the PCS signal keeps active after the last frame transfer.  <a href="#a830c63cbcc569c14ffd322ee87874996">More...</a><br/></td></tr>
<tr class="separator:a830c63cbcc569c14ffd322ee87874996"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30d164e18ab9baecaf60426d23d66813"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a30d164e18ab9baecaf60426d23d66813">nbytes</a></td></tr>
<tr class="memdesc:a30d164e18ab9baecaf60426d23d66813"><td class="mdescLeft">&#160;</td><td class="mdescRight">eDMA minor byte transfer count initially configured.  <a href="#a30d164e18ab9baecaf60426d23d66813">More...</a><br/></td></tr>
<tr class="separator:a30d164e18ab9baecaf60426d23d66813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad85b09a5111558b283d1510c7beb2eca"><td class="memItemLeft" align="right" valign="top">volatile uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ad85b09a5111558b283d1510c7beb2eca">state</a></td></tr>
<tr class="memdesc:ad85b09a5111558b283d1510c7beb2eca"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI transfer state , _dspi_transfer_state.  <a href="#ad85b09a5111558b283d1510c7beb2eca">More...</a><br/></td></tr>
<tr class="separator:ad85b09a5111558b283d1510c7beb2eca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e6908097dbe0c2d8fd40f029522f638"><td class="memItemLeft" align="right" valign="top">uint8_t *volatile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a7e6908097dbe0c2d8fd40f029522f638">txData</a></td></tr>
<tr class="memdesc:a7e6908097dbe0c2d8fd40f029522f638"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send buffer.  <a href="#a7e6908097dbe0c2d8fd40f029522f638">More...</a><br/></td></tr>
<tr class="separator:a7e6908097dbe0c2d8fd40f029522f638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69c634adbbb4a6e25ad003f9871049f0"><td class="memItemLeft" align="right" valign="top">uint8_t *volatile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a69c634adbbb4a6e25ad003f9871049f0">rxData</a></td></tr>
<tr class="memdesc:a69c634adbbb4a6e25ad003f9871049f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Receive buffer.  <a href="#a69c634adbbb4a6e25ad003f9871049f0">More...</a><br/></td></tr>
<tr class="separator:a69c634adbbb4a6e25ad003f9871049f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab09cda4cf72c5e8297bce291d49df013"><td class="memItemLeft" align="right" valign="top">volatile size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ab09cda4cf72c5e8297bce291d49df013">remainingSendByteCount</a></td></tr>
<tr class="memdesc:ab09cda4cf72c5e8297bce291d49df013"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of bytes remaining to send.  <a href="#ab09cda4cf72c5e8297bce291d49df013">More...</a><br/></td></tr>
<tr class="separator:ab09cda4cf72c5e8297bce291d49df013"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48631feb535238985bf199600416e012"><td class="memItemLeft" align="right" valign="top">volatile size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a48631feb535238985bf199600416e012">remainingReceiveByteCount</a></td></tr>
<tr class="memdesc:a48631feb535238985bf199600416e012"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of bytes remaining to receive.  <a href="#a48631feb535238985bf199600416e012">More...</a><br/></td></tr>
<tr class="separator:a48631feb535238985bf199600416e012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa35ecf0103cc554b202106bb291ba6c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa35ecf0103cc554b202106bb291ba6c9"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#aa35ecf0103cc554b202106bb291ba6c9">totalByteCount</a></td></tr>
<tr class="memdesc:aa35ecf0103cc554b202106bb291ba6c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of transfer bytes. <br/></td></tr>
<tr class="separator:aa35ecf0103cc554b202106bb291ba6c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa643799bbdb7573f03aebee994d2f6ad"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#aa643799bbdb7573f03aebee994d2f6ad">rxBuffIfNull</a></td></tr>
<tr class="memdesc:aa643799bbdb7573f03aebee994d2f6ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is not rxData for DMA purpose.  <a href="#aa643799bbdb7573f03aebee994d2f6ad">More...</a><br/></td></tr>
<tr class="separator:aa643799bbdb7573f03aebee994d2f6ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad84afee5df924451e262d5dad6a49af3"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ad84afee5df924451e262d5dad6a49af3">txBuffIfNull</a></td></tr>
<tr class="memdesc:ad84afee5df924451e262d5dad6a49af3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is not txData for DMA purpose.  <a href="#ad84afee5df924451e262d5dad6a49af3">More...</a><br/></td></tr>
<tr class="separator:ad84afee5df924451e262d5dad6a49af3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75a3010e997b524460749bb2c7c9cb0d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__dspi__edma__driver.html#gab42b9728993882f00f22e122c73848e4">dspi_master_edma_transfer_callback_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a75a3010e997b524460749bb2c7c9cb0d">callback</a></td></tr>
<tr class="memdesc:a75a3010e997b524460749bb2c7c9cb0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Completion callback.  <a href="#a75a3010e997b524460749bb2c7c9cb0d">More...</a><br/></td></tr>
<tr class="separator:a75a3010e997b524460749bb2c7c9cb0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a357a1822ee2a808ad064f1694c20343c"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a357a1822ee2a808ad064f1694c20343c">userData</a></td></tr>
<tr class="memdesc:a357a1822ee2a808ad064f1694c20343c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback user data.  <a href="#a357a1822ee2a808ad064f1694c20343c">More...</a><br/></td></tr>
<tr class="separator:a357a1822ee2a808ad064f1694c20343c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae59674346e3ffa6354c8c2339a68c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acae59674346e3ffa6354c8c2339a68c9"></a>
<a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#acae59674346e3ffa6354c8c2339a68c9">edmaRxRegToRxDataHandle</a></td></tr>
<tr class="memdesc:acae59674346e3ffa6354c8c2339a68c9"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a> handle point used for RxReg to RxData buff <br/></td></tr>
<tr class="separator:acae59674346e3ffa6354c8c2339a68c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03e0f1b60617fffdfcecdf1742aa863b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03e0f1b60617fffdfcecdf1742aa863b"></a>
<a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a03e0f1b60617fffdfcecdf1742aa863b">edmaTxDataToIntermediaryHandle</a></td></tr>
<tr class="memdesc:a03e0f1b60617fffdfcecdf1742aa863b"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a> handle point used for TxData to Intermediary <br/></td></tr>
<tr class="separator:a03e0f1b60617fffdfcecdf1742aa863b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c2346b6b5ae8035601c1e5b3c8f2627"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c2346b6b5ae8035601c1e5b3c8f2627"></a>
<a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a9c2346b6b5ae8035601c1e5b3c8f2627">edmaIntermediaryToTxRegHandle</a></td></tr>
<tr class="memdesc:a9c2346b6b5ae8035601c1e5b3c8f2627"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a> handle point used for Intermediary to TxReg <br/></td></tr>
<tr class="separator:a9c2346b6b5ae8035601c1e5b3c8f2627"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7ff7b48e9c83c363b2c7f0e30dc02cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7ff7b48e9c83c363b2c7f0e30dc02cc"></a>
<a class="el" href="group__edma.html#structedma__tcd__t">edma_tcd_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ab7ff7b48e9c83c363b2c7f0e30dc02cc">dspiSoftwareTCD</a> [2]</td></tr>
<tr class="memdesc:ab7ff7b48e9c83c363b2c7f0e30dc02cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">SoftwareTCD , internal used. <br/></td></tr>
<tr class="separator:ab7ff7b48e9c83c363b2c7f0e30dc02cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h4 class="groupheader">Field Documentation</h4>
<a class="anchor" id="aa34a1dcddc99d31bb4c4accfadd47783"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_master_edma_handle_t::bitsPerFrame</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a22c10d4e7d97332d4e6ee090e4e32765"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint32_t dspi_master_edma_handle_t::command</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5273a137fd07ef8e8ff7be54ac7bd9e9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint32_t dspi_master_edma_handle_t::lastCommand</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a17fb6af3d2eb1786d55837ac3ecea4b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t dspi_master_edma_handle_t::fifoSize</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a830c63cbcc569c14ffd322ee87874996"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile bool dspi_master_edma_handle_t::isPcsActiveAfterTransfer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a30d164e18ab9baecaf60426d23d66813"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t dspi_master_edma_handle_t::nbytes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad85b09a5111558b283d1510c7beb2eca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint8_t dspi_master_edma_handle_t::state</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a7e6908097dbe0c2d8fd40f029522f638"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* volatile dspi_master_edma_handle_t::txData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a69c634adbbb4a6e25ad003f9871049f0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* volatile dspi_master_edma_handle_t::rxData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ab09cda4cf72c5e8297bce291d49df013"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile size_t dspi_master_edma_handle_t::remainingSendByteCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a48631feb535238985bf199600416e012"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile size_t dspi_master_edma_handle_t::remainingReceiveByteCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa643799bbdb7573f03aebee994d2f6ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_master_edma_handle_t::rxBuffIfNull</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad84afee5df924451e262d5dad6a49af3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_master_edma_handle_t::txBuffIfNull</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a75a3010e997b524460749bb2c7c9cb0d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__dspi__edma__driver.html#gab42b9728993882f00f22e122c73848e4">dspi_master_edma_transfer_callback_t</a> dspi_master_edma_handle_t::callback</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a357a1822ee2a808ad064f1694c20343c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* dspi_master_edma_handle_t::userData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>

</div>
</div>
<a name="struct__dspi__slave__edma__handle" id="struct__dspi__slave__edma__handle"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct _dspi_slave_edma_handle</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"><p>Forward declaration of the DSPI eDMA slave handle typedefs.</p>
</div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a384a28e5d1ab2e29bac6b3f707a5d603"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a384a28e5d1ab2e29bac6b3f707a5d603">bitsPerFrame</a></td></tr>
<tr class="memdesc:a384a28e5d1ab2e29bac6b3f707a5d603"><td class="mdescLeft">&#160;</td><td class="mdescRight">The desired number of bits per frame.  <a href="#a384a28e5d1ab2e29bac6b3f707a5d603">More...</a><br/></td></tr>
<tr class="separator:a384a28e5d1ab2e29bac6b3f707a5d603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c23fb4d0252aad2e01bb7785b7717f0"><td class="memItemLeft" align="right" valign="top">uint8_t *volatile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a8c23fb4d0252aad2e01bb7785b7717f0">txData</a></td></tr>
<tr class="memdesc:a8c23fb4d0252aad2e01bb7785b7717f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send buffer.  <a href="#a8c23fb4d0252aad2e01bb7785b7717f0">More...</a><br/></td></tr>
<tr class="separator:a8c23fb4d0252aad2e01bb7785b7717f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2102064061e76991f43380e516c5ba25"><td class="memItemLeft" align="right" valign="top">uint8_t *volatile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a2102064061e76991f43380e516c5ba25">rxData</a></td></tr>
<tr class="memdesc:a2102064061e76991f43380e516c5ba25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Receive buffer.  <a href="#a2102064061e76991f43380e516c5ba25">More...</a><br/></td></tr>
<tr class="separator:a2102064061e76991f43380e516c5ba25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affbee7a72ee7a23b356def9017a86c2a"><td class="memItemLeft" align="right" valign="top">volatile size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#affbee7a72ee7a23b356def9017a86c2a">remainingSendByteCount</a></td></tr>
<tr class="memdesc:affbee7a72ee7a23b356def9017a86c2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of bytes remaining to send.  <a href="#affbee7a72ee7a23b356def9017a86c2a">More...</a><br/></td></tr>
<tr class="separator:affbee7a72ee7a23b356def9017a86c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684b12c1432e8db244b968afdcac384a"><td class="memItemLeft" align="right" valign="top">volatile size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a684b12c1432e8db244b968afdcac384a">remainingReceiveByteCount</a></td></tr>
<tr class="memdesc:a684b12c1432e8db244b968afdcac384a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of bytes remaining to receive.  <a href="#a684b12c1432e8db244b968afdcac384a">More...</a><br/></td></tr>
<tr class="separator:a684b12c1432e8db244b968afdcac384a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca11d9827c1461ccea30f57ca1e04e7a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca11d9827c1461ccea30f57ca1e04e7a"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#aca11d9827c1461ccea30f57ca1e04e7a">totalByteCount</a></td></tr>
<tr class="memdesc:aca11d9827c1461ccea30f57ca1e04e7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of transfer bytes. <br/></td></tr>
<tr class="separator:aca11d9827c1461ccea30f57ca1e04e7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d2fb9fdc22b4bf35998b014a6c4a615"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a6d2fb9fdc22b4bf35998b014a6c4a615">rxBuffIfNull</a></td></tr>
<tr class="memdesc:a6d2fb9fdc22b4bf35998b014a6c4a615"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is not rxData for DMA purpose.  <a href="#a6d2fb9fdc22b4bf35998b014a6c4a615">More...</a><br/></td></tr>
<tr class="separator:a6d2fb9fdc22b4bf35998b014a6c4a615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d755bce48437e4233b8af28b82e9428"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a2d755bce48437e4233b8af28b82e9428">txBuffIfNull</a></td></tr>
<tr class="memdesc:a2d755bce48437e4233b8af28b82e9428"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is not txData for DMA purpose.  <a href="#a2d755bce48437e4233b8af28b82e9428">More...</a><br/></td></tr>
<tr class="separator:a2d755bce48437e4233b8af28b82e9428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a759f5735f65053b253bfa4157b1d0091"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a759f5735f65053b253bfa4157b1d0091">txLastData</a></td></tr>
<tr class="memdesc:a759f5735f65053b253bfa4157b1d0091"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is an extra byte when 16bits per frame for DMA purpose.  <a href="#a759f5735f65053b253bfa4157b1d0091">More...</a><br/></td></tr>
<tr class="separator:a759f5735f65053b253bfa4157b1d0091"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67a3121f2b054acd94e8557770d979c2"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a67a3121f2b054acd94e8557770d979c2">nbytes</a></td></tr>
<tr class="memdesc:a67a3121f2b054acd94e8557770d979c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">eDMA minor byte transfer count initially configured.  <a href="#a67a3121f2b054acd94e8557770d979c2">More...</a><br/></td></tr>
<tr class="separator:a67a3121f2b054acd94e8557770d979c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acacb987daf8b314de1f2782c04adcd6e"><td class="memItemLeft" align="right" valign="top">volatile uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#acacb987daf8b314de1f2782c04adcd6e">state</a></td></tr>
<tr class="memdesc:acacb987daf8b314de1f2782c04adcd6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI transfer state.  <a href="#acacb987daf8b314de1f2782c04adcd6e">More...</a><br/></td></tr>
<tr class="separator:acacb987daf8b314de1f2782c04adcd6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b193c0a528ebe0e088b22f22bbeaf6e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__dspi__edma__driver.html#ga0299bb3ddcaa8ec04c8bac111c24aa0e">dspi_slave_edma_transfer_callback_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a8b193c0a528ebe0e088b22f22bbeaf6e">callback</a></td></tr>
<tr class="memdesc:a8b193c0a528ebe0e088b22f22bbeaf6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Completion callback.  <a href="#a8b193c0a528ebe0e088b22f22bbeaf6e">More...</a><br/></td></tr>
<tr class="separator:a8b193c0a528ebe0e088b22f22bbeaf6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10e93fd44fc6c3ff82d06928845f8383"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a10e93fd44fc6c3ff82d06928845f8383">userData</a></td></tr>
<tr class="memdesc:a10e93fd44fc6c3ff82d06928845f8383"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback user data.  <a href="#a10e93fd44fc6c3ff82d06928845f8383">More...</a><br/></td></tr>
<tr class="separator:a10e93fd44fc6c3ff82d06928845f8383"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cfcd85bfdb451a7b386d69286b926f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cfcd85bfdb451a7b386d69286b926f8"></a>
<a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#a6cfcd85bfdb451a7b386d69286b926f8">edmaRxRegToRxDataHandle</a></td></tr>
<tr class="memdesc:a6cfcd85bfdb451a7b386d69286b926f8"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a> handle point used for RxReg to RxData buff <br/></td></tr>
<tr class="separator:a6cfcd85bfdb451a7b386d69286b926f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac16dd98aa569be241ca62ed2952483a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac16dd98aa569be241ca62ed2952483a1"></a>
<a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__edma__driver.html#ac16dd98aa569be241ca62ed2952483a1">edmaTxDataToTxRegHandle</a></td></tr>
<tr class="memdesc:ac16dd98aa569be241ca62ed2952483a1"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a> handle point used for TxData to TxReg <br/></td></tr>
<tr class="separator:ac16dd98aa569be241ca62ed2952483a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h4 class="groupheader">Field Documentation</h4>
<a class="anchor" id="a384a28e5d1ab2e29bac6b3f707a5d603"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_edma_handle_t::bitsPerFrame</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8c23fb4d0252aad2e01bb7785b7717f0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* volatile dspi_slave_edma_handle_t::txData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a2102064061e76991f43380e516c5ba25"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* volatile dspi_slave_edma_handle_t::rxData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="affbee7a72ee7a23b356def9017a86c2a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile size_t dspi_slave_edma_handle_t::remainingSendByteCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a684b12c1432e8db244b968afdcac384a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile size_t dspi_slave_edma_handle_t::remainingReceiveByteCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a6d2fb9fdc22b4bf35998b014a6c4a615"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_edma_handle_t::rxBuffIfNull</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a2d755bce48437e4233b8af28b82e9428"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_edma_handle_t::txBuffIfNull</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a759f5735f65053b253bfa4157b1d0091"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_edma_handle_t::txLastData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a67a3121f2b054acd94e8557770d979c2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t dspi_slave_edma_handle_t::nbytes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="acacb987daf8b314de1f2782c04adcd6e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint8_t dspi_slave_edma_handle_t::state</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8b193c0a528ebe0e088b22f22bbeaf6e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__dspi__edma__driver.html#ga0299bb3ddcaa8ec04c8bac111c24aa0e">dspi_slave_edma_transfer_callback_t</a> dspi_slave_edma_handle_t::callback</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a10e93fd44fc6c3ff82d06928845f8383"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* dspi_slave_edma_handle_t::userData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="gab42b9728993882f00f22e122c73848e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* dspi_master_edma_transfer_callback_t)(SPI_Type *base, dspi_master_edma_handle_t *handle, status_t status, void *userData)</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the handle for the DSPI master. </td></tr>
    <tr><td class="paramname">status</td><td>Success or error code describing whether the transfer completed. </td></tr>
    <tr><td class="paramname">userData</td><td>An arbitrary pointer-dataSized value passed from the application. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0299bb3ddcaa8ec04c8bac111c24aa0e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* dspi_slave_edma_transfer_callback_t)(SPI_Type *base, dspi_slave_edma_handle_t *handle, status_t status, void *userData)</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the handle for the DSPI slave. </td></tr>
    <tr><td class="paramname">status</td><td>Success or error code describing whether the transfer completed. </td></tr>
    <tr><td class="paramname">userData</td><td>An arbitrary pointer-dataSized value passed from the application. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga34794523f1e77cc92a8a1178cbb9b33a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DSPI_MasterTransferCreateHandleEDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_master_edma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__dspi__edma__driver.html#gab42b9728993882f00f22e122c73848e4">dspi_master_edma_transfer_callback_t</a>&#160;</td>
          <td class="paramname"><em>callback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>userData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td>
          <td class="paramname"><em>edmaRxRegToRxDataHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td>
          <td class="paramname"><em>edmaTxDataToIntermediaryHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td>
          <td class="paramname"><em>edmaIntermediaryToTxRegHandle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function initializes the DSPI eDMA handle which can be used for other DSPI transactional APIs. Usually, for a specified DSPI instance, call this API once to get the initialized handle.</p>
<p>Note that DSPI eDMA has separated (RX and TX as two sources) or shared (RX and TX are the same source) DMA request source. (1) For the separated DMA request source, enable and set the RX DMAMUX source for edmaRxRegToRxDataHandle and TX DMAMUX source for edmaIntermediaryToTxRegHandle. (2) For the shared DMA request source, enable and set the RX/RX DMAMUX source for the edmaRxRegToRxDataHandle.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>DSPI handle pointer to dspi_master_edma_handle_t. </td></tr>
    <tr><td class="paramname">callback</td><td>DSPI callback. </td></tr>
    <tr><td class="paramname">userData</td><td>A callback function parameter. </td></tr>
    <tr><td class="paramname">edmaRxRegToRxDataHandle</td><td>edmaRxRegToRxDataHandle pointer to <a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a>. </td></tr>
    <tr><td class="paramname">edmaTxDataToIntermediaryHandle</td><td>edmaTxDataToIntermediaryHandle pointer to <a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a>. </td></tr>
    <tr><td class="paramname">edmaIntermediaryToTxRegHandle</td><td>edmaIntermediaryToTxRegHandle pointer to <a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gafe4bb5f502497827871de9b6f4dd4dce"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t DSPI_MasterTransferEDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_master_edma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__dspi__driver.html#structdspi__transfer__t">dspi_transfer_t</a> *&#160;</td>
          <td class="paramname"><em>transfer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function transfers data using eDMA. This is a non-blocking function, which returns right away. When all data is transferred, the callback function is called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_master_edma_handle_t structure which stores the transfer state. </td></tr>
    <tr><td class="paramname">transfer</td><td>A pointer to the <a class="el" href="group__dspi__driver.html#structdspi__transfer__t" title="DSPI master/slave transfer structure. ">dspi_transfer_t</a> structure. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>status of status_t. </dd></dl>

</div>
</div>
<a class="anchor" id="gabe85748d3f4db13f83be48bed5b5cadf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DSPI_MasterTransferAbortEDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_master_edma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function aborts a transfer which is using eDMA.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_master_edma_handle_t structure which stores the transfer state. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7d684de9e43d68c9cc51034ee8f35dc0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t DSPI_MasterTransferGetCountEDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_master_edma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function gets the master eDMA transfer count.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_master_edma_handle_t structure which stores the transfer state. </td></tr>
    <tr><td class="paramname">count</td><td>A number of bytes transferred by the non-blocking transaction. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>status of status_t. </dd></dl>

</div>
</div>
<a class="anchor" id="ga7a145bd365d3d6a94e5dab770e43aaa1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DSPI_SlaveTransferCreateHandleEDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_slave_edma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__dspi__edma__driver.html#ga0299bb3ddcaa8ec04c8bac111c24aa0e">dspi_slave_edma_transfer_callback_t</a>&#160;</td>
          <td class="paramname"><em>callback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>userData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td>
          <td class="paramname"><em>edmaRxRegToRxDataHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__edma.html#structedma__handle__t">edma_handle_t</a> *&#160;</td>
          <td class="paramname"><em>edmaTxDataToTxRegHandle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function initializes the DSPI eDMA handle which can be used for other DSPI transactional APIs. Usually, for a specified DSPI instance, call this API once to get the initialized handle.</p>
<p>Note that DSPI eDMA has separated (RN and TX in 2 sources) or shared (RX and TX are the same source) DMA request source. (1)For the separated DMA request source, enable and set the RX DMAMUX source for edmaRxRegToRxDataHandle and TX DMAMUX source for edmaTxDataToTxRegHandle. (2)For the shared DMA request source, enable and set the RX/RX DMAMUX source for the edmaRxRegToRxDataHandle.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>DSPI handle pointer to dspi_slave_edma_handle_t. </td></tr>
    <tr><td class="paramname">callback</td><td>DSPI callback. </td></tr>
    <tr><td class="paramname">userData</td><td>A callback function parameter. </td></tr>
    <tr><td class="paramname">edmaRxRegToRxDataHandle</td><td>edmaRxRegToRxDataHandle pointer to <a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a>. </td></tr>
    <tr><td class="paramname">edmaTxDataToTxRegHandle</td><td>edmaTxDataToTxRegHandle pointer to <a class="el" href="group__edma.html#structedma__handle__t" title="eDMA transfer handle structure ">edma_handle_t</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga90229acb70adacc78d8053353593e33d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t DSPI_SlaveTransferEDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_slave_edma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__dspi__driver.html#structdspi__transfer__t">dspi_transfer_t</a> *&#160;</td>
          <td class="paramname"><em>transfer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function transfers data using eDMA. This is a non-blocking function, which returns right away. When all data is transferred, the callback function is called. Note that the slave eDMA transfer doesn't support transfer_size is 1 when the bitsPerFrame is greater than eight.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_slave_edma_handle_t structure which stores the transfer state. </td></tr>
    <tr><td class="paramname">transfer</td><td>A pointer to the <a class="el" href="group__dspi__driver.html#structdspi__transfer__t" title="DSPI master/slave transfer structure. ">dspi_transfer_t</a> structure. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>status of status_t. </dd></dl>

</div>
</div>
<a class="anchor" id="ga6e824420a6ed903a240037a5a22aecaa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DSPI_SlaveTransferAbortEDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_slave_edma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function aborts a transfer which is using eDMA.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_slave_edma_handle_t structure which stores the transfer state. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac37b1d262906776028dab89138e921ed"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t DSPI_SlaveTransferGetCountEDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_slave_edma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function gets the slave eDMA transfer count.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_slave_edma_handle_t structure which stores the transfer state. </td></tr>
    <tr><td class="paramname">count</td><td>A number of bytes transferred so far by the non-blocking transaction. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>status of status_t. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
